<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.message.dao.impl.SysMessageDaoImpl">

    <resultMap id="get-SysMessageEntity-result" type="com.hzya.frame.sysnew.message.entity.SysMessageEntity" >
       <result property="id" column="id" jdbcType="VARCHAR"/>
           <result property="sorts" column="sorts" jdbcType="INTEGER"/>
           <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
           <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
           <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
           <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
           <result property="sts" column="sts" jdbcType="VARCHAR"/>
           <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
           <result property="companyId" column="company_id" jdbcType="VARCHAR"/>
           <result property="billKindId" column="bill_kind_id" jdbcType="INTEGER"/>
           <result property="billId" column="bill_id" jdbcType="VARCHAR"/>
           <result property="templateId" column="template_id" jdbcType="VARCHAR"/>
           <result property="messageType" column="message_type" jdbcType="VARCHAR"/>
           <result property="title" column="title" jdbcType="VARCHAR"/>
           <result property="content" column="content" jdbcType="VARCHAR"/>
           <result property="btns" column="btns" jdbcType="VARCHAR"/>
           <result property="pushTime" column="push_time" jdbcType="TIMESTAMP"/>
           <result property="sendPersonId" column="send_person_id" jdbcType="VARCHAR"/>
           <result property="sendToPersonId" column="send_to_person_id" jdbcType="VARCHAR"/>
           <result property="state" column="state" jdbcType="INTEGER"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SysMessageEntity_Base_Column_List">
        id
       ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
        ,company_id 
        ,bill_kind_id 
        ,bill_id 
        ,template_id 
        ,message_type 
        ,title 
        ,content 
        ,btns 
        ,push_time 
        ,send_person_id 
        ,send_to_person_id 
        ,state 
     </sql>

    <!--通过ID获取数据 -->
    <select id="entity_get" resultMap="get-SysMessageEntity-result">
        select
        <include refid="SysMessageEntity_Base_Column_List" />
        from sys_message where id = #{ id } and sts='Y'
    </select>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SysMessageEntity-result" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity">
    select
    <include refid="SysMessageEntity_Base_Column_List" />
    from sys_message
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="billKindId != null"> and bill_kind_id = #{billKindId} </if>
            <if test="billId != null and billId != ''"> and bill_id = #{billId} </if>
            <if test="templateId != null and templateId != ''"> and template_id = #{templateId} </if>
            <if test="messageType != null and messageType != ''"> and message_type = #{messageType} </if>
            <if test="title != null and title != ''"> and title = #{title} </if>
            <if test="content != null and content != ''"> and content = #{content} </if>
            <if test="btns != null and btns != ''"> and btns = #{btns} </if>
            <if test="pushTime != null"> and push_time = #{pushTime} </if>
            <if test="sendPersonId != null and sendPersonId != ''"> and send_person_id = #{sendPersonId} </if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> and send_to_person_id = #{sendToPersonId} </if>
            <if test="state != null"> and state = #{state} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity">
        select  count(1)   from sys_message
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="billKindId != null"> and bill_kind_id = #{billKindId} </if>
            <if test="billId != null and billId != ''"> and bill_id = #{billId} </if>
            <if test="templateId != null and templateId != ''"> and template_id = #{templateId} </if>
            <if test="messageType != null and messageType != ''"> and message_type = #{messageType} </if>
            <if test="title != null and title != ''"> and title = #{title} </if>
            <if test="content != null and content != ''"> and content = #{content} </if>
            <if test="btns != null and btns != ''"> and btns = #{btns} </if>
            <if test="pushTime != null"> and push_time = #{pushTime} </if>
            <if test="sendPersonId != null and sendPersonId != ''"> and send_person_id = #{sendPersonId} </if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> and send_to_person_id = #{sendToPersonId} </if>
            <if test="state != null"> and state = #{state} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SysMessageEntity-result" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity">
    select
    <include refid="SysMessageEntity_Base_Column_List" />
    from sys_message
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="org_id != null and org_id != ''"> and org_id like concat('%',#{org_id},'%') </if>
            <if test="companyId != null and companyId != ''"> and company_id like concat('%',#{companyId},'%') </if>
            <if test="billKindId != null"> and bill_kind_id like concat('%',#{billKindId},'%') </if>
            <if test="billId != null and billId != ''"> and bill_id like concat('%',#{billId},'%') </if>
            <if test="templateId != null and templateId != ''"> and template_id like concat('%',#{templateId},'%') </if>
            <if test="messageType != null and messageType != ''"> and message_type like concat('%',#{messageType},'%') </if>
            <if test="title != null and title != ''"> and title like concat('%',#{title},'%') </if>
            <if test="content != null and content != ''"> and content like concat('%',#{content},'%') </if>
            <if test="btns != null and btns != ''"> and btns like concat('%',#{btns},'%') </if>
            <if test="pushTime != null"> and push_time like concat('%',#{pushTime},'%') </if>
            <if test="sendPersonId != null and sendPersonId != ''"> and send_person_id like concat('%',#{sendPersonId},'%') </if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> and send_to_person_id like concat('%',#{sendToPersonId},'%') </if>
            <if test="state != null"> and state like concat('%',#{state},'%') </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="SysMessageentity_list_or" resultMap="get-SysMessageEntity-result" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity">
    select
    <include refid="SysMessageEntity_Base_Column_List" />
    from sys_message
    <trim prefix="where" prefixOverrides="and"> 
         <if test="id != null and id != ''"> or id = #{id} </if>
             <if test="sorts != null"> or sorts = #{sorts} </if>
             <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
              <if test="create_time != null"> or create_time = #{create_time} </if>
              <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
              <if test="modify_time != null"> or modify_time = #{modify_time} </if>
              <if test="sts != null and sts != ''"> or sts = #{sts} </if>
             <if test="org_id != null and org_id != ''"> or org_id = #{org_id} </if>
              <if test="companyId != null and companyId != ''"> or company_id = #{companyId} </if>
             <if test="billKindId != null"> or bill_kind_id = #{billKindId} </if>
             <if test="billId != null and billId != ''"> or bill_id = #{billId} </if>
             <if test="templateId != null and templateId != ''"> or template_id = #{templateId} </if>
             <if test="messageType != null and messageType != ''"> or message_type = #{messageType} </if>
             <if test="title != null and title != ''"> or title = #{title} </if>
             <if test="content != null and content != ''"> or content = #{content} </if>
             <if test="btns != null and btns != ''"> or btns = #{btns} </if>
             <if test="pushTime != null"> or push_time = #{pushTime} </if>
             <if test="sendPersonId != null and sendPersonId != ''"> or send_person_id = #{sendPersonId} </if>
             <if test="sendToPersonId != null and sendToPersonId != ''"> or send_to_person_id = #{sendToPersonId} </if>
             <if test="state != null"> or state = #{state} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity" keyProperty="id" useGeneratedKeys="true">
    insert into sys_message(
  <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> id , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="org_id != null and org_id != ''"> org_id , </if>
            <if test="companyId != null and companyId != ''"> company_id , </if>
            <if test="billKindId != null"> bill_kind_id , </if>
            <if test="billId != null and billId != ''"> bill_id , </if>
            <if test="templateId != null and templateId != ''"> template_id , </if>
            <if test="messageType != null and messageType != ''"> message_type , </if>
            <if test="title != null and title != ''"> title , </if>
            <if test="content != null and content != ''"> content , </if>
            <if test="btns != null and btns != ''"> btns , </if>
            <if test="pushTime != null"> push_time , </if>
            <if test="sendPersonId != null and sendPersonId != ''"> send_person_id , </if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> send_to_person_id , </if>
            <if test="state != null"> state , </if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> #{id} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="org_id != null and org_id != ''"> #{org_id} ,</if>
            <if test="companyId != null and companyId != ''"> #{companyId} ,</if>
            <if test="billKindId != null"> #{billKindId} ,</if>
            <if test="billId != null and billId != ''"> #{billId} ,</if>
            <if test="templateId != null and templateId != ''"> #{templateId} ,</if>
            <if test="messageType != null and messageType != ''"> #{messageType} ,</if>
            <if test="title != null and title != ''"> #{title} ,</if>
            <if test="content != null and content != ''"> #{content} ,</if>
            <if test="btns != null and btns != ''"> #{btns} ,</if>
            <if test="pushTime != null"> #{pushTime} ,</if>
            <if test="sendPersonId != null and sendPersonId != ''"> #{sendPersonId} ,</if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> #{sendToPersonId} ,</if>
            <if test="state != null"> #{state} ,</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="id" useGeneratedKeys="true">
  insert into sys_message(create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, bill_kind_id, bill_id, template_id, message_type, title, content, btns, push_time, send_person_id, send_to_person_id, state,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.billKindId},#{entity.billId},#{entity.templateId},#{entity.messageType},#{entity.title},#{entity.content},#{entity.btns},#{entity.pushTime},#{entity.sendPersonId},#{entity.sendToPersonId},#{entity.state}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="id" useGeneratedKeys="true">
    insert into sys_message(create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, bill_kind_id, bill_id, template_id, message_type, title, content, btns, push_time, send_person_id, send_to_person_id, state)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.billKindId},#{entity.billId},#{entity.templateId},#{entity.messageType},#{entity.title},#{entity.content},#{entity.btns},#{entity.pushTime},#{entity.sendPersonId},#{entity.sendToPersonId},#{entity.state})
    </foreach>
    on duplicate key update
    create_user_id = values(create_user_id),
    create_time = values(create_time),
    modify_user_id = values(modify_user_id),
    modify_time = values(modify_time),
    sts = values(sts),
    org_id = values(org_id),
    company_id = values(company_id),
    bill_kind_id = values(bill_kind_id),
    bill_id = values(bill_id),
    template_id = values(template_id),
    message_type = values(message_type),
    title = values(title),
    content = values(content),
    btns = values(btns),
    push_time = values(push_time),
    send_person_id = values(send_person_id),
    send_to_person_id = values(send_to_person_id),
    state = values(state)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity" >
update sys_message  set
<trim suffix="" suffixOverrides=",">
  <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
    <if test="create_time != null"> create_time = #{create_time},</if>
    <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
    <if test="modify_time != null"> modify_time = #{modify_time},</if>
    <if test="sts != null and sts != ''"> sts = #{sts},</if>
  <if test="org_id != null and org_id != ''"> org_id = #{org_id},</if>
    <if test="companyId != null and companyId != ''"> company_id = #{companyId},</if>
  <if test="billKindId != null"> bill_kind_id = #{billKindId},</if>
  <if test="billId != null and billId != ''"> bill_id = #{billId},</if>
  <if test="templateId != null and templateId != ''"> template_id = #{templateId},</if>
  <if test="messageType != null and messageType != ''"> message_type = #{messageType},</if>
  <if test="title != null and title != ''"> title = #{title},</if>
  <if test="content != null and content != ''"> content = #{content},</if>
  <if test="btns != null and btns != ''"> btns = #{btns},</if>
  <if test="pushTime != null"> push_time = #{pushTime},</if>
  <if test="sendPersonId != null and sendPersonId != ''"> send_person_id = #{sendPersonId},</if>
  <if test="sendToPersonId != null and sendToPersonId != ''"> send_to_person_id = #{sendToPersonId},</if>
  <if test="state != null"> state = #{state},</if>
</trim>
where id = #{id}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity" >
update sys_message  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.sysnew.message.entity.SysMessageEntity" >
update sys_message  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
                                                                <if test="sts != null and sts != ''"> and sts = #{sts} </if>
                         <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="billKindId != null"> and bill_kind_id = #{billKindId} </if>
            <if test="billId != null and billId != ''"> and bill_id = #{billId} </if>
            <if test="templateId != null and templateId != ''"> and template_id = #{templateId} </if>
            <if test="messageType != null and messageType != ''"> and message_type = #{messageType} </if>
            <if test="title != null and title != ''"> and title = #{title} </if>
            <if test="content != null and content != ''"> and content = #{content} </if>
            <if test="btns != null and btns != ''"> and btns = #{btns} </if>
            <if test="pushTime != null"> and push_time = #{pushTime} </if>
            <if test="sendPersonId != null and sendPersonId != ''"> and send_person_id = #{sendPersonId} </if>
            <if test="sendToPersonId != null and sendToPersonId != ''"> and send_to_person_id = #{sendToPersonId} </if>
            <if test="state != null"> and state = #{state} </if>
            and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from sys_message where id = #{id}
</delete>

</mapper>

